"""

    Module: $RCSfile: NonZopeTestSuite.py,v $
    Author: $Author: payne $
    Date:   $Date: 2003/11/16 03:19:42 $
    
Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""
__version__ = '$Revision: 1.7 $'[11:-2]

import sys
sys.path.insert(0,'..')

import unittest

from TestAccessControls import testAccessControls
from TestAttributeSchema import testAttributeSchema
from TestUtilities import testUtilities
from TestSyntax import testSyntax
from TestAnonymousUser import testAnonymousUser
from TestAuthenticatedUser import testAuthenticatedUser
from TestManagedSchema import testManagedSchema
from TestLDIFAttributeParser import testLDIFAttributeParser
from TestLDIFObjectParser import testLDIFObjectParser
from TestLDAPObject import testLDAPObject
from TestManagedRoles import testManagedRoles
from TestRequest import testRequest
from TestSearchLister import testSearchLister

def nonZopeSuite():

    accessControls = unittest.makeSuite(testAccessControls, 'test')
    anonymousUser = unittest.makeSuite(testAnonymousUser, 'test')
    attributeSchema = unittest.makeSuite(testAttributeSchema, 'test')
    authenticatedUser = unittest.makeSuite(testAuthenticatedUser, 'test')
    ldapObject = unittest.makeSuite(testLDAPObject, 'test' )
    ldifAttributeParser = unittest.makeSuite(testLDIFAttributeParser, 'test')
    ldifObjectParser = unittest.makeSuite(testLDIFObjectParser, 'test')
    managedRoles = unittest.makeSuite(testManagedRoles, 'test' )
    managedSchema = unittest.makeSuite(testManagedSchema, 'test')
    request = unittest.makeSuite(testRequest, 'test')
    searchLister = unittest.makeSuite(testSearchLister, 'test')
    syntax = unittest.makeSuite(testSyntax, 'test')
    utilities = unittest.makeSuite(testUtilities, 'test')
    
    suite = unittest.TestSuite()

    suite.addTest(accessControls)
    suite.addTest(anonymousUser)
    suite.addTest(attributeSchema)
    suite.addTest(authenticatedUser)
    suite.addTest(ldapObject)
    suite.addTest(ldifAttributeParser)
    suite.addTest(ldifObjectParser)
    suite.addTest(managedRoles)
    suite.addTest(managedSchema)
    suite.addTest(request)
    suite.addTest(searchLister)
    suite.addTest(syntax)
    suite.addTest(utilities)

    return suite

if __name__ == '__main__':

    unittest.TextTestRunner(verbosity=2).run(nonZopeSuite())
