"""

    Module: $RCSfile: TestDirectory.py,v $
    Author: $Author: payne $
    Date:   $Date: 2003/12/15 00:47:10 $
    
Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""
__version__ = '$Revision: 1.34 $'[11:-2]

import os,sys
sys.path.insert(0,'..')

from copy import deepcopy
from string import split

from LDAPDirectory import LDAPDirectory
from ManagedRoles import ManagedRoles
from ManagedSchema import ManagedSchema
from SchemaDefaults_test import *

ldapHost = '127.0.0.1'
ldapPort = '8389'
#ldapHost = 'doright.stsci.edu'
#ldapPort = '389'
ldapServer = ['%s:%s' % (ldapHost,ldapPort)]
os.environ['SERVER_NAME'] = ldapHost
os.environ['SERVER_PORT'] = ldapPort
directoryBase = 'o=test'
zopeRoleSearchBase = 'ou=Groups,o=test'
personNamingAttribute='uid'
personsOUAttr='ou'
groupObjectClass='groupOfUniqueNames'

manageGroupPermission =   'LDAP Manage Groups'
manageOrgUnitPermission = 'LDAP Manage Org Units'
managePeoplePermission =  'LDAP Manage People'
manageSchemaPermission =  'LDAP Manage Schema'

userSchema = ManagedSchema( 
		defaultUserSchema, 
                defaultUserDisplayCategories,
                defaultUserNamingAttribute,
                defaultUserControllers,
                defaultUserSearchFilter,
                defaultUserSearchKeys,
                defaultUserSearchSortKey,
		browseFormat=defaultUserBrowseFormat,
                browseKeys=defaultUserBrowseKeys,
		browseSortKey=defaultUserBrowseSortKey,
                personsOUAttr=defaultPersonsOUAttr)
userSchema.setPermissionName(managePeoplePermission)
groupSchema = ManagedSchema( 
		defaultGroupSchema, 
                defaultGroupDisplayCategories,
                defaultGroupNamingAttribute,
                defaultGroupControllers,
                defaultGroupSearchFilter,
                defaultGroupSearchKeys,
                defaultGroupSearchSortKey,
		browseFormat=defaultGroupBrowseFormat,
                browseKeys=defaultGroupBrowseKeys,
		browseSortKey=defaultGroupBrowseSortKey)
groupSchema.setPermissionName(manageGroupPermission)
orgUnitSchema = ManagedSchema( 
		defaultOrgUnitSchema, 
                defaultOrgUnitDisplayCategories,
                defaultOrgUnitNamingAttribute,
                defaultOrgUnitControllers,
                defaultOrgUnitSearchFilter,
                defaultOrgUnitSearchKeys,
                defaultOrgUnitSearchSortKey,
		browseFormat=defaultOrgUnitBrowseFormat,
                browseKeys=defaultOrgUnitBrowseKeys,
		browseSortKey=defaultOrgUnitBrowseSortKey,)
orgUnitSchema.setPermissionName(manageOrgUnitPermission)

roles = ManagedRoles() 
roles._canonicalRoleNames = defaultCanonicalRoleNames
roles._permanentRoles = defaultPermanentRoles
roles._configuredRoleNames = defaultConfiguredRoleNames

IPlanetACIs = split(defaultIPlanetACIs,'\n')

def getTestDirectory():
    
    directory = LDAPDirectory(ldapServer, directoryBase,
                              zopeRoleSearchBase = zopeRoleSearchBase,
                              personNamingAttribute=personNamingAttribute,
                              personsOUAttr=personsOUAttr,
                              groupObjectClass=groupObjectClass,
			      iPlanetACIs=IPlanetACIs)
    directory._personManagedSchema = userSchema
    directory._groupManagedSchema = groupSchema
    directory._orgUnitManagedSchema = orgUnitSchema
    directory._managedRoles = roles
    return deepcopy(directory)
