"""

    Module: $RCSfile: ZopeTestSuite.py,v $
    Author: $Author: payne $
    Date:   $Date: 2003/12/08 02:58:18 $
    
Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""
__version__ = '$Revision: 1.8 $'[11:-2]

import os, sys
import ZopeEnviron

import Zope
import ZODB
import ZServer

import unittest

from TestZSchema import testZSchema
from TestZReports import testZReports
from TestZRoles import testZRoles
from TestZObject import testZObject
from TestZLDAPTree import testZLDAPTree
from TestSTLDAPManager import testSTLDAPManager

def zopeSuite():

    zSchema = unittest.makeSuite(testZSchema, 'test')
    zReports = unittest.makeSuite(testZReports, 'test')
    zRoles = unittest.makeSuite(testZRoles, 'test' )
    zObject = unittest.makeSuite(testZObject, 'test' )
    zLDAPTree = unittest.makeSuite(testZLDAPTree, 'test' )
    stLDAPManager = unittest.makeSuite(testSTLDAPManager, 'test' )
    
    suite = unittest.TestSuite()

    suite.addTest(zSchema)
    suite.addTest(zReports)
    suite.addTest(zRoles)
    suite.addTest(zObject)
    suite.addTest(zLDAPTree)
    suite.addTest(stLDAPManager)

    return suite

if __name__ == '__main__':

    unittest.TextTestRunner(verbosity=2).run(zopeSuite())
